## org.eclipse.datatools.sqltools.editor.core.connection
Interface IConnectionTracker

All Known Implementing Classes:
  SPDebugTarget_Run, SPThread

    public interface IConnectionTracker

This is a simple interface used for notify the listener that a connection is closed.

Author:
  Yang Liu

Method Summary
`void` `connectionAboutToBeClosed()` Notifies the listener that the connection being tracked is to be closed.
`void` `connectionClosed()` Notifies the listener that the connection being tracked is closed.

Method Detail

### connectionAboutToBeClosed

    void connectionAboutToBeClosed()

  Notifies the listener that the connection being tracked is to be closed.

### connectionClosed

    void connectionClosed()

  Notifies the listener that the connection being tracked is closed.